---
layout: default
---
{% assign post = page %}
{% if post.tags.size > 0 %}
  {% for post_tag in post.tags %}
    {% assign tag = site.data.tags[post_tag] %}
    {% assign data_tag_slug = tag[0] %}
    
    {% if tag %}
      {% capture tags_content_temp %}{{ tags_content }}
        <span><a href="/blog/tags/{{ tag.slug }}/">{{ tag.name }}</a></span>
      {% endcapture %}

      {% assign tags_content = tags_content_temp %}
    {% endif %}
  {% endfor %}
{% endif %}


<div class="post">

  <header class="post-header">
    <p class="post-backlink"><a href="{{ '/blog' | prepend: site.baseurl }}">Blog</a></p>
    <h1 class="post-title">{{ page.title }}</h1>
    {% if page.subtitle %}
      <h2 class="post-subtitle">{{ page.subtitle | markdownify }}</h2>
    {% endif %}
    <p class="post-meta">{{ page.date | date: "%B %-d, %Y" }}{% if page.author %} • {{ page.author }}{% endif %}{% if page.meta %} • {{ page.meta }}{% endif %}</p>
    
    <p class="post-tags">
      {{ tags_content }}
    </p>
  </header>

  <article class="post-content">
    {{ content }}
  </article>

  <aside class="about-the-author">
    <hr>
    <p>Connor Shea is a Web Developer from Colorado. He particularly likes Ruby, video games, GIFs, and centering elements vertically with CSS.</p>
  </aside>

</div>
